﻿
/* * Always set the map height explicitly to define the size of the div element * that contains the map. */
#map {
    height: 100%;
    width: 100%;
}
/* * Property styles in unhighlighted state. */
.property {
    /*align-items: center;*/
    background-color: #0288d1;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    /*gap: 15px;*/
    height: 30px;
    justify-content: center;
    /*padding: 5px;*/
    position: relative;
    position: relative;
    transition: all 0.3s ease-out;
    /*width: 40px;*/
    width: 24px;
}

    .property::after {
        /* border-left: 9px solid transparent;
        border-right: 9px solid transparent;
        border-top: 9px solid #0288d1;*/
        border-left: 6px solid transparent;
        border-right: 6px solid transparent;
        border-top: 6px solid #0288d1;
        content: '';
        height: 0;
        left: 50%;
        position: absolute;
        /*top: 95%;*/
        top: 94%;
        transform: translate(-50%, 0);
        transition: all 0.3s ease-out;
        width: 0;
        z-index: 1;
    }

    .property .icon {
        align-items: center;
        display: flex;
        justify-content: center;
        color: #fff;
        font-size: 20px  /*30*/
    }

        .property .icon svg {
            height: 20px;
            width: auto;
        }

    .property .details {
        display: none;
        flex-direction: column;
        flex: 1;
    }

    .property .address {
        color: #9e9e9e;
        font-size: 10px;
       /* margin-bottom: 5px;*/
        /*margin-top: 5px;*/
    }

    .property .features {
        align-items: flex-end;
        display: flex;
        flex-direction: row;
        gap: 10px;
    }

        .property .features > div {
            align-items: center;
            background: #f5f5f5;
            border-radius: 5px;
            border: 1px solid #ccc;
            display: flex;
            font-size: 10px;
            gap: 5px;
            padding: 5px;
        }
    /* * Property styles in highlighted state. */
    .property.highlight {
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
        /* height: 80px;*/
        height: 265px;
        /*padding: 8px 15px;*/
        width: auto;
    }

        .property.highlight::after {
            border-top: 9px solid #fff;
            margin-top: 13px;
        }

        .property.highlight .details {
            display: flex;
        }

        .property.highlight .icon svg {
            width: 50px;
            height: 50px;
        }

    .property .bed {
        color: #ffa000;
    }

    .property .bath {
        color: #03a9f4;
    }

    .property .size {
        color: #388e3c;
    }

/* [END maps_advanced_markers_html] */
